From 864228eaed0446a8d48e083668fcc1e8785d3064 Mon Sep 17 00:00:00 2001
From: chris <chrisg@gblabs.co.uk>
Date: Tue, 19 May 2020 12:34:00 +0100
Subject: [PATCH] added git-lfs ebuild and dependency for gitlabhq-11.8.10

---
 dev-vcs/git-lfs/git-lfs-2.6.1.ebuild          | 40 +++++++++++++++++++
 .../gitlab-runner/gitlab-runner-11.8.0.ebuild | 11 ++---
 dev-vcs/gitlab-runner/metadata.xml            |  1 +
 www-apps/gitlabhq/gitlabhq-11.8.10.ebuild     |  3 +-
 4 files changed, 47 insertions(+), 8 deletions(-)
 create mode 100644 dev-vcs/git-lfs/git-lfs-2.6.1.ebuild

diff --git a/dev-vcs/git-lfs/git-lfs-2.6.1.ebuild b/dev-vcs/git-lfs/git-lfs-2.6.1.ebuild
new file mode 100644
index 0000000..f70c6f5
--- /dev/null
+++ b/dev-vcs/git-lfs/git-lfs-2.6.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGO_PN="github.com/${PN}/${PN}"
+
+if [[ ${PV} == *9999 ]]; then
+        inherit golang-build golang-vcs
+else
+        SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+        KEYWORDS="amd64"
+        inherit golang-build golang-vcs-snapshot
+fi
+
+DESCRIPTION="command line extension and specification for managing large files with Git"
+HOMEPAGE="https://git-lfs.github.com/"
+
+LICENSE="MIT BSD BSD-2 BSD-4 Apache-2.0"
+SLOT="0"
+IUSE="+doc"
+
+DEPEND="doc? ( app-text/ronn )"
+
+RDEPEND="dev-vcs/git"
+
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_compile() {
+        golang-build_src_compile
+
+        if use doc; then
+                ronn docs/man/*.ronn || die "man building failed"
+        fi
+}
+
+src_install() {
+        dobin git-lfs
+        use doc && doman docs/man/*.1
+}
diff --git a/dev-vcs/gitlab-runner/gitlab-runner-11.8.0.ebuild b/dev-vcs/gitlab-runner/gitlab-runner-11.8.0.ebuild
index 77de90b..e53ee77 100644
--- a/dev-vcs/gitlab-runner/gitlab-runner-11.8.0.ebuild
+++ b/dev-vcs/gitlab-runner/gitlab-runner-11.8.0.ebuild
@@ -19,11 +19,12 @@ SRC_URI="https://gitlab.com/gitlab-org/${PN}/-/archive/v${PV}/${PN}-v${PV}.tar.g
 KEYWORDS="~amd64"
 LICENSE="MIT"
 SLOT="0"
-IUSE="docker-build debug pie static"
+IUSE="docker-build debug lfs pie static"
 
 DEPEND="dev-go/gox
     dev-go/go-bindata
-    docker-build? ( >=app-emulation/docker-1.13 )"
+    docker-build? ( >=app-emulation/docker-1.13 )
+    lfs? dev-vcs/git-lfs"
 
 RESTRICT="mirror test"
 
@@ -34,7 +35,7 @@ DOC_CONTENTS="Register the runner as root using\\n
 Configure the runner in /etc/gitlab-runner/config.toml"
 
 QA_PRESTRIPPED="usr/libexec/.*"
-MY_USER="gitlab_runner"
+MY_USER="runner"
 MY_HOME_DIR="/var/lib/gitlab-runner"
 
 pkg_setup() {
@@ -94,12 +95,8 @@ src_compile() {
                 -X "${EGO_PN}/common.BRANCH=non-git"
         )
 
-        einfo "LDFLAGS : ${LDFLAGS}"
-        einfo "CGO_LDFLAGS= : ${CGO_LDFLAGS[@]}"
         export CGO_LDFLAGS=( ${LDFLAGS[@]} ${myldflags[@]} )
 
-        einfo "updated LDFLAGS : ${CGO_LDFLAGS[@]}"
-
         if use docker-build; then
                 # Build gox locally
                 go install ./vendor/github.com/mitchellh/gox || die
diff --git a/dev-vcs/gitlab-runner/metadata.xml b/dev-vcs/gitlab-runner/metadata.xml
index d2bcf7b..c33f12a 100644
--- a/dev-vcs/gitlab-runner/metadata.xml
+++ b/dev-vcs/gitlab-runner/metadata.xml
@@ -7,5 +7,6 @@
 	</maintainer>
 	<use>
 		<flag name="docker-build">Use docker to build the images</flag>
+        <flag name="lfs">Support for Git Large File Storage (LFS)</flag>
 	</use>
 </pkgmetadata>
diff --git a/www-apps/gitlabhq/gitlabhq-11.8.10.ebuild b/www-apps/gitlabhq/gitlabhq-11.8.10.ebuild
index 1926022..3c19d09 100644
--- a/www-apps/gitlabhq/gitlabhq-11.8.10.ebuild
+++ b/www-apps/gitlabhq/gitlabhq-11.8.10.ebuild
@@ -72,7 +72,8 @@ GEMS_DEPEND="
     RDEPEND="${COMMON_DEPEND}
     >=dev-db/redis-2.8.0
     virtual/mta
-    systemd? ( sys-apps/systemd:0= )"
+    systemd? ( sys-apps/systemd:0= )
+    dev-vcs/git-lfs:*"
     ruby_add_bdepend "
     virtual/rubygems
     >=dev-ruby/bundler-1.15.4"
-- 
GitLab